# Uses of Class
org.springframework.cglib.core.KeyFactory

Packages that use KeyFactory
Package
Description
org.springframework.cglib.core
Spring's repackaging of the CGLIB core package (for internal use only).

## Uses of KeyFactory in org.springframework.cglib.core

Methods in org.springframework.cglib.core that return KeyFactory
Modifier and Type
Method
Description
`static KeyFactory`
KeyFactory.`create(Class keyInterface)`
`static KeyFactory`
KeyFactory.`create(ClassLoader loader, Class keyInterface, Customizer customizer)`
`static KeyFactory`
KeyFactory.`create(ClassLoader loader, Class keyInterface, KeyFactoryCustomizer customizer, List<KeyFactoryCustomizer> next)`
`static KeyFactory`
KeyFactory.`create(Class keyInterface, Customizer customizer)`
`static KeyFactory`
KeyFactory.`create(Class keyInterface, KeyFactoryCustomizer first, List<KeyFactoryCustomizer> next)`
`KeyFactory`
KeyFactory.Generator.`create()`